
/* Nicht gemergte Änderung aus Projekt "Pilz.Networking.CloudProviders.Nextcloud (net6.0)"
Vor:
using System;
Nach:
using Pilz.Networking.CloudProviders.Nextcloud.Ocs;
using System;
*/
using Pilz.Net.CloudProviders.Nextcloud.OCS;

namespace Pilz.Net.CloudProviders.Nextcloud.Client.Core;

public class OcsApiCore : OcsApiBase
{
    public static readonly OcsApiUrlPath OCS_CORE_APPPASSWORD = "/ocs/v2.php/core/apppassword";

    public OcsApiCore(OcsApi manager) : base(manager)
    {
    }

    public bool DeleteAppPassword()
    {
        using var msg = Manager.MakeRequest(HttpMethod.Delete, OCS_CORE_APPPASSWORD);
        return msg != null && msg.IsSuccessStatusCode;
    }
}
